
pfSense - Bug #11365

dhcpv6 cannot push ipv6 gateway address

02/03/2021 07:16 PM - yon Liu

Status: Not a Bug Start date: 02/03/2021

Priority: High Due date:  

Assignee:  % Done: 0%

Category: DHCP (IPv6) Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version:  

Release Notes:  Affected

Architecture:

 

Description

dhcpv6 cannot push ipv6 gateway addressto lan, stateless and assisted mode all can't normal work.

tested in windows10 and andriod device.

https://forum.netgate.com/topic/160516/dhcpv6-cannot-push-ipv6-gateway-address

https://forum.netgate.com/topic/155369/radvd-stops-working-after-a-while/9?_=1612400597746

History

#1 - 02/03/2021 07:35 PM - yon Liu

/status_services.php: The command '/usr/local/sbin/radvd -p /var/run/radvd.pid -C /var/etc/radvd.conf -m syslog' returned exit code '1', the output was

''

Router Advertisement Daemon service stop and can't start.

#2 - 02/04/2021 01:08 AM - Viktor Gurov

- Status changed from New to Confirmed

no such issue on 2.4.5-p1,

radvd -d5 -m stderr -n -C /var/etc/radvd.conf

2.5.0.a.20210203.1432 output:

...

Feb 04 09:56:54] radvd (35801): prefix length for vtnet0 is 64

[Feb 04 09:56:54] radvd (35801): checking ipv6 forwarding of interface not supported

[Feb 04 09:56:54] radvd (35801): vtnet0 linklocal address: fe80::4c49:f0ff:fefe:bf12

[Feb 04 09:56:54] radvd (35801): vtnet0 address: fc00:9999::41

[Feb 04 09:56:54] radvd (35801): vtnet0 address: fe80::4c49:f0ff:fefe:bf12

[Feb 04 09:56:54] radvd (35801): vtnet0 is ready

[Feb 04 09:56:54] radvd (35801): checking ipv6 forwarding not supported

[Feb 04 09:56:54] radvd (35801): sending RA to ff02::1 on vtnet0 (fe80::4c49:f0ff:fefe:bf12), 7 options (using

 168/1210 bytes)

[Feb 04 09:56:54] radvd (35801): sendmsg: Permission denied

[Feb 04 09:56:54] radvd (35801): send_ra_forall failed on interface vtnet0

 2.4.5-p1 output:

[Feb 04 10:02:09] radvd (78825): prefix length for vtnet0 is 64

[Feb 04 10:02:09] radvd (78825): checking ipv6 forwarding of interface not supported

[Feb 04 10:02:09] radvd (78825): vtnet0 linklocal address: fe80::183b:35ff:fe4b:7a1c

[Feb 04 10:02:09] radvd (78825): vtnet0 address: fc00:5252::52

[Feb 04 10:02:09] radvd (78825): vtnet0 address: fc00:5252::183b:35ff:fe4b:7a1c

[Feb 04 10:02:09] radvd (78825): vtnet0 address: fe80::183b:35ff:fe4b:7a1c

[Feb 04 10:02:09] radvd (78825): vtnet0 is ready

[Feb 04 10:02:09] radvd (78825): checking ipv6 forwarding not supported

[Feb 04 10:02:09] radvd (78825): sending RA to fe80::58ed:5eff:fe7c:71d4 on vtnet0 (fe80::183b:35ff:fe4b:7a1c)

, 6 options (using 136/1210 bytes)

[Feb 04 10:02:09] radvd (78825): vtnet0 processed an RS
[Feb 04 10:02:09] radvd (78825): polling for 8.195 second(s), next iface is vtnet0

[Feb 04 10:02:13] radvd (78825): vtnet0 recvmsg len=8

[Feb 04 10:02:13] radvd (78825): vtnet0 received a packet

[Feb 04 10:02:13] radvd (78825): vtnet0 received RS from: fe80::58ed:5eff:fe7c:71d4

#3 - 02/04/2021 09:35 AM - yon Liu

bug in pf2.5

2.5.0-DEVELOPMENT (amd64)

built on Wed Feb 03 14:36:18 CST 2021

FreeBSD 12.2-STABLE

 tj1tyy2.jpg 

#4 - 02/04/2021 10:38 AM - Viktor Gurov

- Status changed from Confirmed to New

not such issue on my other VM (on the same Proxmox host, same 2.5.0.a.20210203.1432)

seems like VM/Hypervisor specific

#5 - 02/04/2021 10:44 AM - Jim Pingle

I can't reproduce this here. radvd is running, clients on LAN get an IPv6 gateway and full connectivity. DHCPv6 server is set to Assisted mode. This is

on an ESX VM, though. Maybe it's specific to Proxmox or something along those lines.

[Feb 04 11:32:07] radvd (69614): version 2.19 started

[Feb 04 11:32:07] radvd (69614): vmx1 interface definition ok

[Feb 04 11:32:07] radvd (69614): config file, /var/etc/radvd.conf, syntax ok

[Feb 04 11:32:07] radvd (69614): checking ipv6 forwarding not supported

[Feb 04 11:32:07] radvd (69614): radvd startup PID is 69614

[Feb 04 11:32:07] radvd (69614): opened pid file /var/run/radvd.pid

[Feb 04 11:32:07] radvd (69614): locked pid file /var/run/radvd.pid

[Feb 04 11:32:07] radvd (69614): opened pid file /var/run/radvd.pid

[Feb 04 11:32:07] radvd (69614): radvd PID is 69614

[Feb 04 11:32:07] radvd (69614): wrote pid 69614 to pid file: /var/run/radvd.pid

[Feb 04 11:32:07] radvd (69614): validated pid file, /var/run/radvd.pid: 69614

[Feb 04 11:32:07] radvd (69614): vmx1 if_index changed from 0 to 2

[Feb 04 11:32:07] radvd (69614): ioctl(SIOCGIFINDEX) succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): ioctl(SIOCGIFFLAGS) succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): vmx1 is up

[Feb 04 11:32:07] radvd (69614): vmx1 is running

[Feb 04 11:32:07] radvd (69614): vmx1 supports multicast or is point-to-point

[Feb 04 11:32:07] radvd (69614): sysctl ifdata succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): ioctl(SIOCGIFMEDIA) succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): vmx1 is active

[Feb 04 11:32:07] radvd (69614): mtu for vmx1 is 1500

[Feb 04 11:32:07] radvd (69614): link layer token length for vmx1 is 48

[Feb 04 11:32:07] radvd (69614): prefix length for vmx1 is 64

[Feb 04 11:32:07] radvd (69614): checking ipv6 forwarding of interface not supported

[Feb 04 11:32:07] radvd (69614): vmx1 linklocal address: fe80::20c:29ff:fe78:6e58

[Feb 04 11:32:07] radvd (69614): vmx1 address: 2001:db8:1:ee70:20c:29ff:fe78:6e58

[Feb 04 11:32:07] radvd (69614): vmx1 address: fe80::1:1

[Feb 04 11:32:07] radvd (69614): vmx1 address: fe80::20c:29ff:fe78:6e58

[Feb 04 11:32:07] radvd (69614): vmx1 is ready

[Feb 04 11:32:07] radvd (69614): setting LinkMTU (1500) for vmx1 is not supported

[Feb 04 11:32:07] radvd (69614): setting CurHopLimit (64) for vmx1 is not supported

[Feb 04 11:32:07] radvd (69614): ioctl(SIOCGIFINDEX) succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): ioctl(SIOCGIFFLAGS) succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): vmx1 is up

[Feb 04 11:32:07] radvd (69614): vmx1 is running

[Feb 04 11:32:07] radvd (69614): vmx1 supports multicast or is point-to-point

[Feb 04 11:32:07] radvd (69614): sysctl ifdata succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): ioctl(SIOCGIFMEDIA) succeeded on vmx1

[Feb 04 11:32:07] radvd (69614): vmx1 is active

[Feb 04 11:32:07] radvd (69614): mtu for vmx1 is 1500

[Feb 04 11:32:07] radvd (69614): link layer token length for vmx1 is 48

[Feb 04 11:32:07] radvd (69614): prefix length for vmx1 is 64

[Feb 04 11:32:07] radvd (69614): checking ipv6 forwarding of interface not supported

[Feb 04 11:32:07] radvd (69614): vmx1 linklocal address: fe80::20c:29ff:fe78:6e58

[Feb 04 11:32:07] radvd (69614): vmx1 address: 2001:db8:1:ee70:20c:29ff:fe78:6e58

[Feb 04 11:32:07] radvd (69614): vmx1 address: fe80::1:1

[Feb 04 11:32:07] radvd (69614): vmx1 address: fe80::20c:29ff:fe78:6e58

[Feb 04 11:32:07] radvd (69614): vmx1 is ready

[Feb 04 11:32:07] radvd (69614): checking ipv6 forwarding not supported
[Feb 04 11:32:07] radvd (69614): sending RA to ff02::1 on vmx1 (fe80::20c:29ff:fe78:6e58), 6 options (using 15

2/1210 bytes)

[Feb 04 11:32:07] radvd (69614): vmx1 next scheduled RA in 16 second(s)

[Feb 04 11:32:07] radvd (69614): polling for 16 second(s), next iface is vmx1

 
: cat /var/etc/radvd.conf

# Automatically Generated, do not edit

# Generated for DHCPv6 Server lan

interface vmx1 {

    AdvSendAdvert on;

    MinRtrAdvInterval 5;

    MaxRtrAdvInterval 20;

    AdvLinkMTU 1500;

    AdvDefaultPreference medium;

    AdvManagedFlag on;

    AdvOtherConfigFlag on;

    prefix 2001:db8:1:ee70::/64 {

        DeprecatePrefix on;

        AdvOnLink on;

        AdvAutonomous on;

        AdvValidLifetime 86400;

        AdvPreferredLifetime 14400;

    };

    route ::/0 {

        AdvRoutePreference medium;

        RemoveRoute on;

    };

    RDNSS 2001:db8:1:ee70:20c:29ff:fe78:6e58 { };

    DNSSL lab.example.com example.com { };

};

#6 - 02/09/2021 12:03 PM - Renato Botelho

- Target version changed from 2.5.0 to CE-Next

too late for 2.5.0

#7 - 02/25/2021 11:46 AM - yon Liu

sometime, my devices get ipv6 getways address, but ipv6 still can't normal go to internet, use traceroute show ipv6 route is normal. restart system

ipv6 can normal use about 1 min,then ipv6 broken and happen these bugs.

pf2.5 beta version only is loss ipv6 gateway, but pf2.5 rc and pf2.5 happen both loss gateway and ipv6 can't normal go to internet.

https://forum.netgate.com/topic/161010/ipv6-broken-beyond-pfsense-after-2-5-upgrade/21

#8 - 02/25/2021 11:57 AM - yon Liu

Jim Pingle wrote:

I can't reproduce this here. radvd is running, clients on LAN get an IPv6 gateway and full connectivity. DHCPv6 server is set to Assisted mode.

This is on an ESX VM, though. Maybe it's specific to Proxmox or something along those lines.

 I tested it on a bare metal server

#9 - 02/25/2021 12:08 PM - yon Liu

RDVD log show not allow use /48 ipv6 in LAN interface, but i running bgp must use /48 or above prefixes in LAN interface.

#10 - 02/25/2021 12:32 PM - Jim Pingle

- Status changed from New to Not a Bug

- Target version deleted (CE-Next)

You would never use a /48 on an interface. You can advertise a /48 in BGP without putting a /48 directly on an interface. That is a severe

misconfiguration. Interfaces should only be /64 (or in some much more rare cases, smaller). DHCPv6, SLAAC, and other features can only operate on

/64 prefixes.

There isn't likely a bug here, take the discussion back to the forum.

#11 - 02/25/2021 06:36 PM - yon Liu

pf2.4.5 setup /48 lan is work, and setup in linux is work too. pf2.5 seems is can't work /48.
bgp can only be broadcasted with an ip range of /48 or greater. if has no setup /48 in any interface, it is bgp can't route.
